> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uplifthub.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Campaign



## OpenAPI

````yaml /openapi.json put /Campaign
openapi: 3.0.0
info:
  title: V1
  description: ''
  version: '1'
servers:
  - url: https://app.uplifthub.io/P195_Exposed_Integrations/rest/V1
security:
  - ApiKeyAuth: []
tags:
  - name: Accounts
  - name: Campaigns
  - name: Line Items
  - name: Products
  - name: Documents
  - name: Source Markets
  - name: Reporting
  - name: System
paths:
  /Campaign:
    put:
      tags:
        - Campaigns
      summary: Update Campaign
      operationId: UpdateCampaign
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateCampaign'
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericResponseStructure'
components:
  schemas:
    UpdateCampaign:
      description: ''
      type: object
      properties:
        Id:
          type: integer
          example: 1234567891234567
          format: int64
        Name:
          type: string
          default: ''
        ExternalId:
          type: string
          default: ''
        AccountId:
          type: integer
          example: 1234567891234567
          format: int64
        StartDate:
          type: string
          format: date
          example: '2014-12-31'
        EndDate:
          type: string
          format: date
          example: '2014-12-31'
        PartnerBudget:
          type: number
          example: 0.1
        SalesProbability:
          type: number
          example: 0.1
        CampaignBriefFields:
          type: array
          items:
            $ref: '#/components/schemas/CampaignBriefFieldItem'
        SourceMarket:
          type: integer
          example: 1234567891234567
          format: int64
        ContractSigned:
          type: boolean
          example: false
        CampaignStatusId:
          type: integer
          example: 1234567891234567
          format: int64
    GenericResponseStructure:
      description: ''
      type: object
      properties:
        Success:
          type: boolean
          example: false
        Message:
          type: string
          default: ''
        Id:
          type: integer
          example: 1234567891234567
          format: int64
        ExternalId:
          type: string
          default: ''
      required:
        - Success
        - Message
    CampaignBriefFieldItem:
      description: ''
      type: object
      properties:
        FieldName:
          type: string
          default: ''
        FieldValue:
          type: string
          default: ''
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-apikey

````